Bug 114555 - kernel BUG at vmscan.c:545!
kernel BUG at vmscan.c:545!
Status: CLOSED DUPLICATE of bug 73733
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 10:38 EST by Lachlan Paterson
Modified: 2007-04-18 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lachlan Paterson 2004-01-29 10:38:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
My system completely locks up, only a physical reboot helps.

here is the /var/log/messages

Jan 26 16:01:01 localhost kernel: ------------[ cut here ]------------
Jan 26 16:01:01 localhost kernel: kernel BUG at vmscan.c:545!
Jan 26 16:01:01 localhost kernel: invalid operand: 0000
Jan 26 16:01:01 localhost kernel: snd-seq-midi snd-emu10k1-synth 
snd-emux-synth 
snd-seq-midi-emul snd-seq-virmidi snd-seq-oss snd-seq-midi-event snd-seq 
snd-pcm
-oss snd-mixer-oss nvidia snd-em
Jan 26 16:01:01 localhost kernel: CPU:    0
Jan 26 16:01:01 localhost kernel: EIP:    0060:[]    Tainted: P 
Jan 26 16:01:01 localhost kernel: EFLAGS: 00010206
Jan 26 16:01:01 localhost kernel: 
Jan 26 16:01:01 localhost kernel: EIP is at refill_inactive_zone [kernel] 
0x430 
(2.4.20-8)
Jan 26 16:01:01 localhost kernel: eax: 010c0008   ebx: c1559f44   ecx: 
c0303900 
  edx: 00000000
Jan 26 16:01:01 localhost kernel: esi: 0000e56e   edi: c1559f28   ebp: 
0000e56f 
  esp: c34b1f9c
Jan 26 16:01:01 localhost kernel: ds: 0068   es: 0068   ss: 0068
Jan 26 16:01:01 localhost kernel: Process kswapd (pid: 5, 
stackpage=c34b1000)
Jan 26 16:01:01 localhost kernel: Stack: c34b1fbc c013a716 c03039f4 
c0303a74 000
0001b fffffffe 00000006 00000025 
Jan 26 16:01:01 localhost kernel:        00000a60 00000001 c34b0000 
c0303900 c34
b0305 00000000 c013a45c c0303900 
Jan 26 16:01:01 localhost kernel:        00000006 0000001b c013a368 
00000000 000
00000 c0107389 00000000 00000000 
Jan 26 16:01:01 localhost kernel: Call Trace:   [] 
wakeup_memwaiters [
kernel] 0xde (0xc34b1fa0))
Jan 26 16:01:01 localhost kernel: [] kswapd [kernel] 0xf4 
(0xc34b1fd4)
)
Jan 26 16:01:01 localhost kernel: [] kswapd [kernel] 0x0 
(0xc34b1fe4))
Jan 26 16:01:01 localhost kernel: [] kernel_thread_helper 
[kernel] 0x5
 (0xc34b1ff0))
Jan 26 16:01:01 localhost kernel: 
Jan 26 16:01:01 localhost kernel: 
Jan 26 16:01:01 localhost kernel: Code: 0f 0b 21 02 41 61 25 c0 e9 67 fe 
ff ff 8
d b4 26 00 00 00 00 


I wonder if this is connected to these kinds of errors that I also see:

Jan 25 22:27:41 localhost modprobe: modprobe: Can't locate module
sound-slot-1
Jan 25 22:27:41 localhost modprobe: modprobe: Can't locate module
sound-service-
1-0
Jan 25 22:27:41 localhost modprobe: modprobe: Can't locate module
sound-slot-1
Jan 25 22:27:41 localhost modprobe: modprobe: Can't locate module
sound-service-


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
No specific user interaction, that i have noticed, is required to
cause this crash. It happens roughly once every day or two.

Additional info:
Comment 1 Arjan van de Ven 2004-01-29 10:40:05 EST

*** This bug has been marked as a duplicate of 73733 ***
Comment 2 Mike A. Harris 2004-02-19 12:50:50 EST
Your kernel is tainted with the proprietary kernel module.  We do
not support any system which has had any 3rd party kernel module
loaded into the running kernel since boot time.

You would have to remove all 3rd party kernel modules from your
system, then reboot into a clean Red Hat supplied binary kernel,
and then reproduce this problem with out using the "nvidia"
proprietary module, nor any other 3rd party kernel modules
loaded since boot time.

Also, unloading a module that was previously unloaded does not
work around this.  You must not load any unsupported kernel
module after the kernel boots.

If you can reproduce the problem under these conditions, feel
free to update the report with additional details.
Comment 3 Lachlan Paterson 2004-02-19 13:00:44 EST
Ok, thanks, I will try. I have removed the nvidia kernel, and the
crashes still happen. This thread documents that:
 
http://www.nvnews.net/vbulletin/showthread.php?s=&threadid=24356

I am not sure what is still tainting my kernel. It must be a sound
module. I will try find out and remove whatever is there.
Comment 4 Lachlan Paterson 2004-02-20 01:44:46 EST
Nevermind...

I found the problem. I have memory errors. I ran memtest86 to check
the memory and I have errors during test#5. In the memtest docs it
says this:

"There have been numerous reports of errors in only tests 5 and 8 on
Athlon systems. Often the memory works in a different system or the
vendor insists that it is good. In these cases the memory is not
necessarily bad but is not able to operate reliably at Athlon speeds.
Sometimes more conservative memory timings on the motherboard will
correct these errors. In other cases the only option is to replace the
memory with better quality, higher speed memory. Don't buy cheap
memory and expect it to work with an Athlon! On occasion test 5/8
errors will occur even with name brand memory and a quality
motherboard. These errors are legitimate and should be corrected."

...so there you go.
Comment 5 Red Hat Bugzilla 2006-02-21 14:00:59 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.